#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif



class CSystemConfiguration;



class CFarCryConfiguratorApp : public CWinApp
{
public:
	static CFarCryConfiguratorApp& GetInstance();

	CFarCryConfiguratorApp();
	~CFarCryConfiguratorApp();
	virtual BOOL InitInstance();
	DECLARE_MESSAGE_MAP()

private:
	bool LoadLocalizedResources();
	void AdjustLanguage();

private:
	CSystemConfiguration* m_pkSysConfig;
};


